<div class="card m-b-30">
  <button *ngIf="activeUserIsAdmin" type="button" class="btn btn-outline-danger m-2" data-bs-toggle="button"
    aria-pressed="false" autocomplete="off" data-placement="top" data-original-title="Delete"
    (click)="deletePlant(plante.id)">
    <i class="bi bi-trash">
      Supprimer l'article
    </i>
  </button>

  <img src="{{'/assets/img/' + this.plante.url }}" alt="" class="img-fluid w-60" />
  <div class="card-body row">
    <div class="col-12 card-title align-self-center mb-0">
      <h5>{{this.plante.commonName}}</h5>
      <h6><em>{{plante?.latinName}}</em></h6>
      <p class="m-0">{{plante?.price}}€ / pièce</p>
    </div>
  </div>
  <div class=" row">
    <a href="#" class=" m-1" data-bs-toggle="modal" data-bs-target="#staticBackdropDescription">Plus d'informations</a>
  </div>

  <hr />
  <div class="d-flex flex-row justify-content-around">
    <div class="d-inline" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip"
      title="exposition">
      <i class="fa-solid fa-sun"></i>
      {{plante?.exposition}}
    </div>

    <div class="d-inline" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip"
      title="résistance au froid ">
      <i class="bi bi-thermometer-snow">
        {{plante?.resistance}}°c
      </i>
    </div>

    <div data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip" title="cycle de vie">
      <i class="fa-regular fa-clock"></i> {{plante?.lifeCycle}}
    </div>
    <div data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip" title="taille adulte">
      <i class="fa-solid fa-up-down"></i>
      {{plante?.size}}cm
    </div>
  </div>
  <hr />

  <div *ngIf=" !activeUserIsAdmin " class="card-body">
    <div class="float-right btn-group btn-group-sm">
      <div class="input-group">
        <input [(ngModel)]="orderLine.quantity" name="quantity" type="number" class="form-control"
          id="inputGroupAddItem" aria-label="Example select with button addon" value="1" min="1" />

        <button (click)="addToBasket()" class="btn btn-outline-success" type="submit">
          <i class="bi bi-cart-plus"> Ajouter au panier</i>
        </button>
      </div>
    </div>
  </div>

  <!-- Modal descriptino -->
  <div class="modal fade" id="staticBackdropDescription" data-bs-backdrop="static" data-bs-keyboard="false"
    tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl
">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">Description</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          {{plante.description}}
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal">
            Fermer
          </button>
        </div>
      </div>
    </div>
  </div>
</div>